Get Cloud Connection Details
Get details of one cloud connection
Path Parameters
- cloudConnectionId int32 required
Id of an existing cloud connection
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
cloudConnection object
Summary of a cloud connection entity
id int32name stringdisplayName stringcloudType CloudConnectionCloudTypePossible values: [
AMAZON_WEB_SERVICES,MICROSOFT_AZURE,none,aws,azure,googleCloud]Cloud type for the connection.
connectionType CloudConnectionTypePossible values: [
CloudAccountLevel,OrganizationLevel]Type of the cloud connection.
configType CloudConnectionConfigTypePossible values: [
EXPRESS_CONFIGURATION,CUSTOM_CONFIGURATION]Configuration type of the cloud connection.
company object
id int32Id of company
name stringName of company
multiCommcellId int32Multi Commcell Id of company
credentials object
Credentials for cloud connections
credentialType CloudConnectionCredentialTypePossible values: [
AWS_STS_ASSUME_ROLE,AWS_IAM_ROLE]Type of credential to be used to access cloud connection.
credentialId int32ID of the saved credentials.
accessNodes object[]
List of servers and server groups to use to access the connection.
id int32name stringdisplayName stringaccessNodeType AccessNodeItemTypePossible values: [
SERVER,SERVER_GROUP]Type of access node item
cloudSpecificDetails object
Details specific to connections cloud type.
aws object
AWS specific cloud connection configuration.
regions stringList of AWS regions to connect to.
iamRoleAccountId stringID of the AWS account which contains the IAM role to assume for authentication.
organizationConfiguration object
Configuration for AWS Organization cloud connection.
content object
Content for AWS Organization cloud connection.
accounts object[]
List of AWS accounts
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllAccounts booleanDefault value:
falseDiscover all accounts in the AWS organization
enableOwnerDetection booleanDefault value:
falseEnable owner detection for AWS accounts in the organization.
ownerDetectionConfiguration object
Owner discovery configuration.
identityCenterRegion stringRegion code of the region in which IAM Identity Center service is enabled in the AWS organization.
ownerPermissionSets string[]List of IAM Identity center permission sets that identify account owners.
organizationDetails object
Details of an AWS organization
organizationId stringId of the AWS organization
organizationArn stringARN of the AWS organization
masterAccountId stringId of the AWS organization's management account
masterAccountArn stringARN of the AWS organization's management account
masterAccountEmail stringE-mail of the AWS organization's management account
azure object
Azure specific cloud connection configuration.
tenantId stringAzure Tenant Id
tenantName stringAzure Tenant Name
environment stringAzure environment
subscriptions object[]
List of Azure Subscriptions
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllSubscription booleanDefault value:
falseAutomatically discover future subscription in Azure tenant.
isCustomConfig booleanDefault value:
falseFlag to indicate if custom configuration is used.
googleCloud object
Google Cloud specific cloud connection configuration.
serviceAccount stringService Account email address
projects object[]
List of Google Cloud projects.
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllProjects booleanAutomatically discover future projects associated with the service account.
discoveryStatus DiscoveryOperationStatusPossible values: [
NONE,NOT_STARTED,IN_PROGRESS,SUCCESS,FAILED]Status of discovery operation
lastDiscoveryDetails DiscoveryOperationDetails
Details of discovery operation.
endTime int64Epoch time stamp of when the discovery operation ended.
errors string[]Errors (if any) that occured during the discovery operation.
discoveredAccounts object[]
List of discovered cloud accounts.
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
credentialId int32Credential id associated with cloud account
status CloudAccountStatusPossible values: [
NOT_VALIDATED,VALIDATED,VALIDATION_FAILED]Status of the cloud account.
errors string[]Errors associated with the cloud account
{
"cloudConnection": {
"id": 0,
"name": "string",
"displayName": "string",
"cloudType": "AMAZON_WEB_SERVICES",
"connectionType": "CloudAccountLevel",
"configType": "EXPRESS_CONFIGURATION",
"company": {
"id": 0,
"name": "string",
"multiCommcellId": 0
},
"credentials": {
"credentialType": "AWS_STS_ASSUME_ROLE",
"credentialId": 0
},
"accessNodes": [
{
"id": 0,
"name": "string",
"displayName": "string",
"accessNodeType": "SERVER"
}
],
"cloudSpecificDetails": {
"aws": {
"regions": "string",
"iamRoleAccountId": "string",
"organizationConfiguration": {
"content": {
"accounts": [
{
"name": "string",
"id": "string",
"uuid": "string",
"email": "string"
}
],
"discoverAllAccounts": false
},
"enableOwnerDetection": false,
"ownerDetectionConfiguration": {
"identityCenterRegion": "string",
"ownerPermissionSets": [
"string"
]
}
},
"organizationDetails": {
"organizationId": "string",
"organizationArn": "string",
"masterAccountId": "string",
"masterAccountArn": "string",
"masterAccountEmail": "string"
}
},
"azure": {
"tenantId": "string",
"tenantName": "string",
"environment": "string",
"subscriptions": [
{
"name": "string",
"id": "string",
"uuid": "string",
"email": "string"
}
],
"discoverAllSubscription": false,
"isCustomConfig": false
},
"googleCloud": {
"serviceAccount": "string",
"projects": [
{
"name": "string",
"id": "string",
"uuid": "string",
"email": "string"
}
],
"discoverAllProjects": true
}
},
"discoveryStatus": "NONE",
"lastDiscoveryDetails": {
"endTime": 0,
"errors": [
"string"
]
},
"discoveredAccounts": [
{
"name": "string",
"id": "string",
"uuid": "string",
"email": "string",
"credentialId": 0,
"status": "NOT_VALIDATED",
"errors": [
"string"
]
}
]
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}